# Uses of Class
ij.ImageJ

Packages that use ImageJ
Package
Description
ij
ij.gui
ij.plugin.frame

## Uses of ImageJ in ij

Methods in ij that return ImageJ
Modifier and Type
Method
Description
`static ImageJ`
IJ.`getInstance()`
Returns a reference to the "ImageJ" frame.
Methods in ij with parameters of type ImageJ
Modifier and Type
Method
Description
`static int`
Menus.`installPlugin(String plugin, char menuCode, String command, String shortcut, ImageJ ij)`
Adds a plugin based command to the end of a specified menu.

## Uses of ImageJ in ij.gui

Fields in ij.gui declared as ImageJ
Modifier and Type
Field
Description
`protected ImageJ`
ImageCanvas.`ij`
`protected ImageJ`
ImageWindow.`ij`

## Uses of ImageJ in ij.plugin.frame

Fields in ij.plugin.frame declared as ImageJ
Modifier and Type
Field
Description
`protected final ImageJ`
SyncWindows.`ijInstance`
reference to current instance of ImageJ (to avoid repeated IJ.getInstance() s)